;;; ../../git/cho@gitea.bubbletea.dev/dotfiles/home/default/.config/doom/centaur-tabs-config.el -*- lexical-binding: t; -*-

(use-package! centaur-tabs
  :hook (doom-first-file . centaur-tabs-mode)
  :init
  (setq centaur-tabs-set-icons t
        centaur-tabs-gray-out-icons 'buffer
        ;centaur-tabs-set-bar 'left
        centaur-tabs-set-bar 'over
        ;centaur-tabs-style "bar"
        centaur-tabs-set-modified-marker t
        centaur-tabs-close-button "✕"
        centaur-tabs-modified-marker "•"
        centaur-tabs-icon-type 'nerd-icons
        ;; Scrolling (with the mouse wheel) past the end of the tab list
        ;; replaces the tab list with that of another Doom workspace. This
        ;; prevents that.
        centaur-tabs-cycle-scope 'tabs)
  (map! :leader
        :desc "Toggle tabs local display" "t c" #'centaur-tabs-local-mode
        :desc "Toggle tabs globally" "t C" #'centaur-tabs-mode
        :desc "Kill this tab" "t d" #'kill-this-buffer
        :desc "Create a tab" "t n" #'centaur-tabs--create-new-tab)
  ;(evil-define-key 'normal centaur-tabs-mode-map (kbd "g C-t") 'centaur-tabs--create-new-tab
                                                ; (kbd "g C-d") 'kill-this-buffer
                                                ; (kbd "g C-c") 'centaur-tabs-mode
                                                ; (kbd "g C-f") 'centaur-tabs-local-mode)
  :config
  ;(add-hook! '(+doom-dashboard-mode-hook +popup-buffer-mode-hook)
  (add-hook! '(+doom-dashboard-mode-hook +popup-buffer-mode-hook org-agenda-mode-hook)
    (defun +tabs-disable-centaur-tabs-mode-maybe-h ()
      "Disable `centaur-tabs-mode' in current buffer."
      (when (centaur-tabs-mode-on-p)
        (centaur-tabs-local-mode))))
  )
